package cn.com.qmth.examcloud.core.questions.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.questions.api.RandomPaperCloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetRandomPaperBeanReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetRandomPaperBeanResp;

@Service
public class RandomPaperCloudServiceClient extends AbstractCloudClientSupport implements RandomPaperCloudService {

	private static final long serialVersionUID = 1657323811328647049L;

	@Override
	public GetRandomPaperBeanResp getRandomPaperBean(GetRandomPaperBeanReq req) {
		return post("randompaper/info", req, GetRandomPaperBeanResp.class);
	}

}
